/* HERO SECTION STYLES SHEET */
main .hero-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem;
    background-color: var(--secondary-color);
    height: 87vh;
}
/* LEFT CONTAINER */
main .hero-section .hero-left-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 50%;
}

/* HERO HEADING */
main .hero-section .hero-left-container h1 {
    font-size: 4rem;
    color: white;
}

main .hero-section .hero-left-container h1 span {
    color: var(--primary-color);
}

/* HERO PARAGRAPH */
main .hero-section .hero-left-container p {
    font-size: large;
    color: white;
}

/* HERO BUTTONS */
main .hero-section .hero-left-container .hero-btns-container {
    display: flex;
    gap: 1rem;
}

main .hero-section .hero-left-container .hero-btns-container button {
    padding: 1rem 2rem;
    font-size: large;
    font-weight: bold;
    background-color: var(--quaternary-color);
    width: 12rem;
    height: 4rem;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    box-shadow: 0 3px 7px rgba(18, 18, 18, 0.2);
    transition: background-color 0.3s ease, color 0.3s ease;
}

main .hero-section .hero-left-container .hero-btns-container .hero-callnow-btn {
    background-color: var(--quaternary-color);
    color: var(--secondary-color);
}

main .hero-section .hero-left-container .hero-btns-container .hero-callnow-btn:hover {
    filter: brightness(0.80); 
}


main .hero-section .hero-left-container .hero-btns-container .hero-services-btn {
    background-color: transparent;
    color: white;
    border: 2px solid white;
}

main .hero-section .hero-left-container .hero-btns-container .hero-services-btn:hover {
    filter: brightness(0.80); 
}

/* RIGHT CONTAINER */
main .hero-section .hero-right-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 50%;
}

main .hero-section .hero-right-container .hero-icon-img{
    height: 70%;
    width: auto;
    animation: levitate 4s ease-in-out infinite;
    filter: drop-shadow(0 15px 25px rgba(0,0,0,0.15));
}

@keyframes levitate {
    0%, 100% {
        transform: translateY(-15px);
    }

    50% {
        transform: translateY(15px);
    }
}
